#if !defined(AFX_LISTBOXPRO_H__C6BF9A28_1F1B_11D3_A5F1_00902712C9AE__INCLUDED_)
#define AFX_LISTBOXPRO_H__C6BF9A28_1F1B_11D3_A5F1_00902712C9AE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ListBoxPro.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CListBoxPro window

class CListBoxPro : public CListBox
{
// Construction
public:
	CListBoxPro();
	// Attributes
	bool Reordered;
	int OldPos,NewPos;
	int RCPos;
	// Operations

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CListBoxPro)
	public:
	virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext = NULL);
	//}}AFX_VIRTUAL

// Implementation
	virtual ~CListBoxPro();

	// Generated message map functions
protected:
	int Selection;
	//{{AFX_MSG(CListBoxPro)
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LISTBOXPRO_H__C6BF9A28_1F1B_11D3_A5F1_00902712C9AE__INCLUDED_)
